package com.ruoyi.ems.mapper;

import java.util.List;

import com.ruoyi.ems.domain.Area;

/**
 * 服务区Mapper接口
 *
 * @author ruoyi
 * @date 2024-07-09
 */
public interface AreaMapper {
    /**
     * 查询服务区
     *
     * @param id 服务区主键
     * @return 服务区
     */
    Area selectAreaById(Long id);

    /**
     * 查询服务区
     *
     * @param code 服务区主键
     * @return 服务区
     */
    Area selectAreaByCode(String code);

    /**
     * 查询服务区列表
     *
     * @param admServiceArea 服务区
     * @return 服务区集合
     */
    List<Area> selectAreaList(Area admServiceArea);

    /**
     * 新增服务区
     *
     * @param admServiceArea 服务区
     * @return 结果
     */
    int insertArea(Area admServiceArea);

    /**
     * 修改服务区
     *
     * @param admServiceArea 服务区
     * @return 结果
     */
    int updateArea(Area admServiceArea);

    /**
     * 删除服务区
     *
     * @param id 服务区主键
     * @return 结果
     */
    int deleteAreaById(Long id);

    /**
     * 批量删除服务区
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteAreaByIds(Long[] ids);
}
